﻿function FormatCurrency(value) {
    return ('$' + parseFloat(value, 16).toFixed(2).replace(/(\d)(?=(\d{3})+\.)/g, "$1,").toString());
}

function copyToClipboard(text) {
    var sampleTextarea = document.createElement("textarea");
    document.body.appendChild(sampleTextarea);
    sampleTextarea.value = text; //save main text in it
    sampleTextarea.select(); //select textarea contents
    document.execCommand("copy");
    document.body.removeChild(sampleTextarea);
}

function FormatDate(val) {

    let formatteddate = addLeadingNumberZeros(val.getMonth() + 1, 2) + "/" + addLeadingNumberZeros(val.getDate(), 2) + "/" + val.getFullYear();
    return formatteddate;
}

function addLeadingNumberZeros(number, totalLength) {
    return String(number).padStart(totalLength, '0');
}